GenAI
Get a Gen AI Endpoint Version
Get a Gen AI Endpoint Version
GET
/
api
/
gen-ai
/
beta
/
endpoints
/
{endpointId}
/
versions
/
{versionNumber}
Get a Gen AI Endpoint Version
curl --request GET \
--url https://mycluster.domino.tech/api/gen-ai/beta/endpoints/{endpointId}/versions/{versionNumber} \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/gen-ai/beta/endpoints/{endpointId}/versions/{versionNumber}"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/gen-ai/beta/endpoints/{endpointId}/versions/{versionNumber}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/api/gen-ai/beta/endpoints/{endpointId}/versions/{versionNumber}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Domino-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/api/gen-ai/beta/endpoints/{endpointId}/versions/{versionNumber}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Domino-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mycluster.domino.tech/api/gen-ai/beta/endpoints/{endpointId}/versions/{versionNumber}")
.header("X-Domino-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/api/gen-ai/beta/endpoints/{endpointId}/versions/{versionNumber}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Domino-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"configuration": {
"maxNumberOfSequences": 256,
"servedModelName": "my-model",
"tensorParallelism": 1,
"vllmArguments": "--max-model-length 4095 --gpu-memory-utilization 0.90"
},
"createdAt": "2022-03-12T02:13:44.467Z",
"creator": {
"id": "integration test",
"name": "Full User Name"
},
"endpointId": "62313ce67a0af0281c01a6a5",
"environment": {
"id": "62313ce67a0af0281c01a6a5",
"name": "My Environment",
"revisionId": "62313ce67a0af0281c01a6a5"
},
"hardwareTier": {
"dataPlaneId": "62313ce67a0af0281c01a6a5",
"dataPlaneName": "My Data Plane",
"id": "62313ce67a0af0281c01a6a5"
},
"modelSource": {
"huggingFace": {
"commit": "62313ce67a0af0281c01a6a5",
"modelType": "LLM",
"path": "my-model",
"apiToken": "62313ce67a0af0281c01a6a5"
},
"registeredModel": {
"modelName": "RandomForestRegression",
"modelVersion": 1
}
},
"modelType": "LLM",
"number": 1,
"status": "Building",
"description": "My Endpoint Version Description",
"executionId": "62313ce67a0af0281c01a6a5",
"label": 1
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
DominoApiKeyBearerAuthentication
Path Parameters
The ID of the Gen AI Endpoint.
The Number of the Gen AI Endpoint Version.
Response
The Gen AI Endpoint Version.
Show child attributes
Show child attributes
The time the endpoint was created
Example:
"2022-03-12T02:13:44.467Z"
Show child attributes
Show child attributes
The ID of the endpoint
Example:
"62313ce67a0af0281c01a6a5"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
LLM, Embedding, OtherGenAI The version number of the endpoint
Example:
1
Available options:
Building, BuildFailed, Starting, Running, Stopping, Stopped, Failed, Unknown The description of the endpoint version
Example:
"My Endpoint Version Description"
The ID of the execution serving the endpoint, if present
Example:
"62313ce67a0af0281c01a6a5"
The label of the endpoint version
Example:
1
Last modified on October 8, 2026
Was this page helpful?
⌘I
Get a Gen AI Endpoint Version
curl --request GET \
--url https://mycluster.domino.tech/api/gen-ai/beta/endpoints/{endpointId}/versions/{versionNumber} \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/gen-ai/beta/endpoints/{endpointId}/versions/{versionNumber}"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/gen-ai/beta/endpoints/{endpointId}/versions/{versionNumber}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/api/gen-ai/beta/endpoints/{endpointId}/versions/{versionNumber}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Domino-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/api/gen-ai/beta/endpoints/{endpointId}/versions/{versionNumber}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Domino-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mycluster.domino.tech/api/gen-ai/beta/endpoints/{endpointId}/versions/{versionNumber}")
.header("X-Domino-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/api/gen-ai/beta/endpoints/{endpointId}/versions/{versionNumber}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Domino-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"configuration": {
"maxNumberOfSequences": 256,
"servedModelName": "my-model",
"tensorParallelism": 1,
"vllmArguments": "--max-model-length 4095 --gpu-memory-utilization 0.90"
},
"createdAt": "2022-03-12T02:13:44.467Z",
"creator": {
"id": "integration test",
"name": "Full User Name"
},
"endpointId": "62313ce67a0af0281c01a6a5",
"environment": {
"id": "62313ce67a0af0281c01a6a5",
"name": "My Environment",
"revisionId": "62313ce67a0af0281c01a6a5"
},
"hardwareTier": {
"dataPlaneId": "62313ce67a0af0281c01a6a5",
"dataPlaneName": "My Data Plane",
"id": "62313ce67a0af0281c01a6a5"
},
"modelSource": {
"huggingFace": {
"commit": "62313ce67a0af0281c01a6a5",
"modelType": "LLM",
"path": "my-model",
"apiToken": "62313ce67a0af0281c01a6a5"
},
"registeredModel": {
"modelName": "RandomForestRegression",
"modelVersion": 1
}
},
"modelType": "LLM",
"number": 1,
"status": "Building",
"description": "My Endpoint Version Description",
"executionId": "62313ce67a0af0281c01a6a5",
"label": 1
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}